package com.goafanti.order.bo;

public class InputOrderProject {

    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 合同编号
     */
    private String contractNo;
    /**
     * 企业名称
     */
    private String userName;
    /**
     * 项目分类
     */
    private String businessCategory;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 订单金额类型 1=10万以下，2=10-20万，3=20-30万，4=30-40万，5=40万以上
     */
    private Integer orderAmountType;
    /**
     * 订单部门
     */
    private String depId;
    /**
     * 负债部门
     */
    private String liabilitiesDepId;
    /**
     * 申报批次
     */
    private Integer declarationBatch;
    /**
     * 项目金额类型 1=1万以下，2=1-5万，3=5-10万，4=10-20万，5=20万以上
     */
    private Integer projectAmountType;
    /**
     * 项目状态
     */
    private Integer projectStatus;

    /**
     * 满意度 0非常满意 1满意 2一般 3不满意
     */
    private Integer satisfactionDegree;
    /**
     * 派单时间开始
     */
    private String startDate;
    /**
     * 派单时间结束
     */
    private String endDate;
    /**
     * 项目时间结束
     */
    private String projectStartDate;
    /**
     * 项目时间结束
     */
    private String projectEndDate;
    /**
     * 销售类型 0=电话新开发，1=电话自带资源，2=网络，3=渠道，4=转介绍，5=其他，6=高新复购，7=其他复购,8=私有/渠道
     */
    private Integer salesType;
    /**
     * 服务类型(订单类型)
     */
    private String serviceType;
    /**
     * 清算状态（结算状态） 0-首付待付请，1-尾款待付清，2-已付请，3-部分退款，4-全部退款
     */
    private Integer liquidationStatus;
    /**
     * 催款节点筛选
     */
    private Integer dunType;
    /**
     * 签单时间结束
     */
    private String signStartDate;
    /**
     * 签单时间结束
     */
    private String signEndDate;
    /**
     * 省份
     */
    private Integer province;
    /**
     * 财务负责人
     */
    private String financeId;
    /**
     * 营销负责人
     */
    private String salesmanId;
    /**
     * 技术负责人
     */
    private String techId;
    /**
     * 是否特批 0否 1是
     */
    private Integer approval;
    /**
     * 是否会员 0否 1是
     */
    private Integer projectType;
    /**
     * 大客户 0=否，1=是
     */
    private Integer bigCustomer;
    /**
     * 重报  0否，1是
     */
    private Integer restatement;
    /**
     * 科技项目 0否 1是
     */
    private Integer orderType;
    /**
     * 变更  0否 1是
     */
    private Integer changeType;
    /**
     * 退单 0否 1是
     */
    private Integer refundType;
    /**
     * 项目完成时间开始
     */
    private String projectCompleteStartTime;
    /**
     * 项目完成时间结束
     */
    private String projectCompleteEndTime;

    private Integer pageSize;
    private Integer pageNo;

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getBusinessCategory() {
        return businessCategory;
    }

    public void setBusinessCategory(String businessCategory) {
        this.businessCategory = businessCategory;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Integer getOrderAmountType() {
        return orderAmountType;
    }

    public void setOrderAmountType(Integer orderAmountType) {
        this.orderAmountType = orderAmountType;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public String getLiabilitiesDepId() {
        return liabilitiesDepId;
    }

    public void setLiabilitiesDepId(String liabilitiesDepId) {
        this.liabilitiesDepId = liabilitiesDepId;
    }

    public Integer getDeclarationBatch() {
        return declarationBatch;
    }

    public void setDeclarationBatch(Integer declarationBatch) {
        this.declarationBatch = declarationBatch;
    }

    public Integer getProjectAmountType() {
        return projectAmountType;
    }

    public void setProjectAmountType(Integer projectAmountType) {
        this.projectAmountType = projectAmountType;
    }

    public Integer getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    public Integer getSatisfactionDegree() {
        return satisfactionDegree;
    }

    public void setSatisfactionDegree(Integer satisfactionDegree) {
        this.satisfactionDegree = satisfactionDegree;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getProjectStartDate() {
        return projectStartDate;
    }

    public void setProjectStartDate(String projectStartDate) {
        this.projectStartDate = projectStartDate;
    }

    public String getProjectEndDate() {
        return projectEndDate;
    }

    public void setProjectEndDate(String projectEndDate) {
        this.projectEndDate = projectEndDate;
    }

    public Integer getSalesType() {
        return salesType;
    }

    public void setSalesType(Integer salesType) {
        this.salesType = salesType;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public Integer getLiquidationStatus() {
        return liquidationStatus;
    }

    public void setLiquidationStatus(Integer liquidationStatus) {
        this.liquidationStatus = liquidationStatus;
    }

    public Integer getDunType() {
        return dunType;
    }

    public void setDunType(Integer dunType) {
        this.dunType = dunType;
    }

    public String getSignStartDate() {
        return signStartDate;
    }

    public void setSignStartDate(String signStartDate) {
        this.signStartDate = signStartDate;
    }

    public String getSignEndDate() {
        return signEndDate;
    }

    public void setSignEndDate(String signEndDate) {
        this.signEndDate = signEndDate;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public String getFinanceId() {
        return financeId;
    }

    public void setFinanceId(String financeId) {
        this.financeId = financeId;
    }

    public String getSalesmanId() {
        return salesmanId;
    }

    public void setSalesmanId(String salesmanId) {
        this.salesmanId = salesmanId;
    }

    public String getTechId() {
        return techId;
    }

    public void setTechId(String techId) {
        this.techId = techId;
    }

    public Integer getApproval() {
        return approval;
    }

    public void setApproval(Integer approval) {
        this.approval = approval;
    }

    public Integer getProjectType() {
        return projectType;
    }

    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    public Integer getBigCustomer() {
        return bigCustomer;
    }

    public void setBigCustomer(Integer bigCustomer) {
        this.bigCustomer = bigCustomer;
    }

    public Integer getRestatement() {
        return restatement;
    }

    public void setRestatement(Integer restatement) {
        this.restatement = restatement;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getChangeType() {
        return changeType;
    }

    public void setChangeType(Integer changeType) {
        this.changeType = changeType;
    }

    public Integer getRefundType() {
        return refundType;
    }

    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    public String getProjectCompleteStartTime() {
        return projectCompleteStartTime;
    }

    public void setProjectCompleteStartTime(String projectCompleteStartTime) {
        this.projectCompleteStartTime = projectCompleteStartTime;
    }

    public String getProjectCompleteEndTime() {
        return projectCompleteEndTime;
    }

    public void setProjectCompleteEndTime(String projectCompleteEndTime) {
        this.projectCompleteEndTime = projectCompleteEndTime;
    }
}
